/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * WarrantyAction.cpp
 *
 *  Created on: Oct 14, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include <iostream>
#include <string>

#include "Actions/CommandAction/WarrantyAction.hpp"

using namespace MoleCuilder;

// and construct the stuff
#include "WarrantyAction.def"
#include "Action_impl_pre.hpp"
/** =========== define the function ====================== */
Action::state_ptr CommandWarrantyAction::performCall() {
  std::cout << std::endl;
  std::cout << "This program is distributed in the hope that it will be useful," << std::endl;
  std::cout << "but WITHOUT ANY WARRANTY; without even the implied warranty of" << std::endl;
  std::cout << "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE." << std::endl;
  std::cout << std::endl;

  return Action::success;
}

Action::state_ptr CommandWarrantyAction::performUndo(Action::state_ptr _state) {
  return Action::success;
}

Action::state_ptr CommandWarrantyAction::performRedo(Action::state_ptr _state){
  return Action::success;
}

bool CommandWarrantyAction::canUndo() {
  return true;
}

bool CommandWarrantyAction::shouldUndo() {
  return false;
}
/** =========== end of function ====================== */
